Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.map
Class EmbeddableAttribute

    java.lang.Object
      org.apache.cayenne.map.EmbeddableAttribute

All Implemented Interfaces:
  java.io.Serializable, ConfigurationNode, XMLSerializable

    public class EmbeddableAttribute

extends java.lang.Object
implements ConfigurationNode, XMLSerializable, java.io.Serializable

A persistent attribute of an embeddable object.

Since:
  3.0
See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `dbAttributeName`
`protected Embeddable` | `embeddable`
`protected java.lang.String` | `name`
`protected java.lang.String` | `type`

Constructor Summary
`EmbeddableAttribute()`
`EmbeddableAttribute(java.lang.String name)`

Method Summary
`
`<T> T`
` | `acceptVisitor(ConfigurationNodeVisitor<T> visitor)`
`void` | `encodeAsXML(XMLEncoder encoder)` Prints itself as XML to the provided XMLEncoder.
`java.lang.String` | `getDbAttributeName()`
`Embeddable` | `getEmbeddable()`
`java.lang.String` | `getName()`
`java.lang.String` | `getType()`
`void` | `setDbAttributeName(java.lang.String dbAttributeName)`
`void` | `setEmbeddable(Embeddable embeddable)`
`void` | `setName(java.lang.String name)`
`void` | `setType(java.lang.String type)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

### type

    protected java.lang.String type

### dbAttributeName

    protected java.lang.String dbAttributeName

### embeddable

    protected Embeddable embeddable

Constructor Detail

### EmbeddableAttribute

    public EmbeddableAttribute()

### EmbeddableAttribute

    public EmbeddableAttribute(java.lang.String name)

Method Detail

### acceptVisitor

    public <T> T acceptVisitor(ConfigurationNodeVisitor<T> visitor)

  Specified by:
    `acceptVisitor` in interface `ConfigurationNode`
  Since:
    3.1

### encodeAsXML

    public void encodeAsXML(XMLEncoder encoder)

  Description copied from interface: `XMLSerializable`
  Prints itself as XML to the provided XMLEncoder.

  Specified by:
    `encodeAsXML` in interface `XMLSerializable`

### getDbAttributeName

    public java.lang.String getDbAttributeName()

### setDbAttributeName

    public void setDbAttributeName(java.lang.String dbAttributeName)

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getType

    public java.lang.String getType()

### setType

    public void setType(java.lang.String type)

### getEmbeddable

    public Embeddable getEmbeddable()

### setEmbeddable

    public void setEmbeddable(Embeddable embeddable)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Apache Cayenne. All Rights Reserved.